<template class="bg">
  <div class="currently">
    <div class="overview">
      <div class="overview__top">
        <span class="overview__temperature">{{ forecast.temperature | temperature }}</span>
        <span class="overview__icon"><img :src="'./static/images/icon-' + forecast.icon + '.svg'" :alt="forecast.icon" width="96" height="96"></span>
      </div>
      <h4 class="overview__summary">{{ forecast.summary }}</h4>
    </div>

    <div class="currently__details">
      <span>Feels Like: {{ forecast.apparentTemperature | temperature }}</span>
      <span>Humidity: {{ forecast.humidity | percent }}</span>
      <span>Wind: {{ forecast.windSpeed | round }}mph <svg width="20" height="20" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 512" :style="'transform: rotate(' + forecast.windBearing + 'deg);'"><path d="M20.485 372.485l99.029 99.03c4.686 4.686 12.284 4.686 16.971 0l99.029-99.03c7.56-7.56 2.206-20.485-8.485-20.485H156V44c0-6.627-5.373-12-12-12h-32c-6.627 0-12 5.373-12 12v308H28.97c-10.69 0-16.044 12.926-8.485 20.485z"/></svg></span>
      <span>Cloud Cover: {{ forecast.cloudCover | percent }}</span>
      <span>UV Index: {{ forecast.uvIndex }}</span>
      <span>Visibility: {{ forecast.visibility | round }} mi</span>
    </div>
  </div>
</template>

<script>
export default {
  name: "Currently",
  props: ["forecast"],
  mounted() {
    console.log(this.forecast);
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.currently {
  margin: 2rem 0;
  margin-right: 3rem;
  display: flex;
}
.overview {
  text-align: center;
  flex: 1 0 300px;
}
.overview span {
  display: inline-block;
  vertical-align: middle;
}
.overview__temperature {
  font-size: 80px;
}

.overview__icon {
  margin-left: 1rem;
}

.overview__summary {
  text-align: center;
  font-size: 40px;
  color: #707070;
}

.currently__details {
  font-weight: 300;
  opacity: 0.8;
  column-gap: 1rem;
  column-count: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
  justify-content: flex-start;
  font-size: 20px;
}
.currently__details span {
  display: block;
  padding: 0.5rem 0;
  display: inline-block;
  padding: 0;
  margin: 0.5rem 1.5rem;
}
.currently__details svg {
  display: inline-block;
  vertical-align: middle;
  width: 18px;
  height: 18px;
}
.bg {
  padding: 1px;
  background-position: 50% 50%;
  background-attachment: fixed;
  background-size: cover;
  position: fixed;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  z-index: -1;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(#000, .5);
    z-index: 1;
  }

  &.day-clouds {
    background-image: url('/static/images/bg-day-clouds.jpg');

    &::before {
      background: rgba(#000, .3);
    }
  }

  &.day-clear {
    background-image: url('/static/images/bg-day-clear.jpg');

    &::before {
      background: rgba(#000, .45);
    }
  }

  &.night-clouds {
    background-image: url('/static/images/bg-night-clouds.jpg');
  }

  &.night-clear {
    background-image: url('/static/images/bg-night-clear.jpg');
  }

  > .container {
    position: relative;
    z-index: 2;
  }
}
</style>
